## org.apache.poi.hwpf.usermodel
Class TableRow

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Range
          org.apache.poi.hwpf.usermodel.TableRow

    public final class TableRow

extends Range

Field Summary

Fields inherited from class org.apache.poi.hwpf.usermodel.Range
`_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

Constructor Summary
`TableRow(int startIdxInclusive, int endIdxExclusive, Table parent, int levelNum)`

Method Summary
`boolean` `cantSplit()`
`BorderCode` `getBarBorder()`
`BorderCode` `getBottomBorder()`
`TableCell` `getCell(int index)`
`int` `getGapHalf()`
`BorderCode` `getHorizontalBorder()`
`BorderCode` `getLeftBorder()`
`BorderCode` `getRightBorder()`
`int` `getRowHeight()`
`int` `getRowJustification()`
`BorderCode` `getTopBorder()`
`BorderCode` `getVerticalBorder()`
`boolean` `isTableHeader()`
`int` `numCells()`
`protected void` `reset()` resets the list indexes.
`void` `setCantSplit(boolean cantSplit)`
`void` `setGapHalf(int dxaGapHalf)`
`void` `setRowHeight(int dyaRowHeight)`
`void` `setRowJustification(int jc)`
`void` `setTableHeader(boolean tableHeader)`

Methods inherited from class org.apache.poi.hwpf.usermodel.Range

`adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertAfter, insertAfter, insertAfter, insertAfter, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertTableBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, replaceText, sanityCheck, stripFields, text, toString, type, usesUnicode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableRow

    public TableRow(int startIdxInclusive,
                    int endIdxExclusive,
                    Table parent,
                    int levelNum)

Method Detail

### cantSplit

    public boolean cantSplit()

### getBarBorder

    public BorderCode getBarBorder()

### getBottomBorder

    public BorderCode getBottomBorder()

### getCell

    public TableCell getCell(int index)

### getGapHalf

    public int getGapHalf()

### getHorizontalBorder

    public BorderCode getHorizontalBorder()

### getLeftBorder

    public BorderCode getLeftBorder()

### getRightBorder

    public BorderCode getRightBorder()

### getRowHeight

    public int getRowHeight()

### getRowJustification

    public int getRowJustification()

### getTopBorder

    public BorderCode getTopBorder()

### getVerticalBorder

    public BorderCode getVerticalBorder()

### isTableHeader

    public boolean isTableHeader()

### numCells

    public int numCells()

### reset

    protected void reset()

  Description copied from class: `Range`
  resets the list indexes.

  Overrides:
    `reset` in class `Range`

### setCantSplit

    public void setCantSplit(boolean cantSplit)

### setGapHalf

    public void setGapHalf(int dxaGapHalf)

### setRowHeight

    public void setRowHeight(int dyaRowHeight)

### setRowJustification

    public void setRowJustification(int jc)

### setTableHeader

    public void setTableHeader(boolean tableHeader)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.